package com.diagbot.entity.his;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhanghang
 * @since 2022-04-20
 */
@TableName("DOCTOR_HOS")
public class DoctorHos implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("USER_ID")
    private String userId;

    @TableField("DEPT_CODE")
    private String deptCode;

    @TableField("NAME")
    private String name;

    @TableField("TITLE")
    private String title;

    @TableField("CERTIFICATE")
    private String certificate;

    @TableField("DEPT_NAME")
    private String deptName;

    @TableField("JOB")
    private String job;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }
    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
    public String getCertificate() {
        return certificate;
    }

    public void setCertificate(String certificate) {
        this.certificate = certificate;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public String getJob() {
        return job;
    }

    public void setJob(String job) {
        this.job = job;
    }

    @Override
    public String toString() {
        return "DoctorHos{" +
            "userId=" + userId +
            ", deptCode=" + deptCode +
            ", name=" + name +
            ", title=" + title +
            ", certificate=" + certificate +
            ", deptName=" + deptName +
            ", job=" + job +
        "}";
    }
}
